package gridsim.dcworms;

import gridsim.GridSimTags;

/**
 * @author Marcin Krystek
 */
public class DCWormsTags extends GridSimTags {
	
	protected static final int DCWORMSBASE = 600; 
	
	public static final int TO_COMP_RESOURCES = DCWORMSBASE - 4;
	
	public static final int TO_SCHEDULERS = DCWORMSBASE - 3;
	
	public static final int TASK_EXECUTION_CHANGED = DCWORMSBASE - 2;
	
	public static final int UPDATE_PROCESSING = DCWORMSBASE - 1;
	
	public static final int TIMER = DCWORMSBASE + 1;
	
	public static final int TASK_READY_FOR_EXECUTION = DCWORMSBASE + 2;
	
	public static final int TASK_EXECUTION_FINISHED = DCWORMSBASE + 3;
	

	/**
	 * Message tag: query resource about its current state in object form (load, queues, etc.)
	 */ 
	public static final int QUERY_RESOURCE_DESC = DCWORMSBASE + 4; 

	public static final int QUERY_RESOURCE_DESC_RESULT = DCWORMSBASE + 5; 
	
	public static final int TASK_REQUESTED_TIME_EXPIRED = DCWORMSBASE + 6;
	
	public static final int RESOURCE_STATE_CHANGED = DCWORMSBASE + 7;
	
	public static final int POWER_LIMIT_EXCEEDED = DCWORMSBASE + 8;
	
	public static final int TASK_PAUSE = DCWORMSBASE + 9;
	
	public static final int TASK_RESUME = DCWORMSBASE + 10;
	
	public static final int TASK_MOVE = DCWORMSBASE + 11;

	
    public static final int CREATED = 0;

    public static final int SUBMITTED = 1;
    
    public static final int READY = 2;

    public static final int QUEUED = 3;

    public static final int INEXEC = 4;
    
    public static final int NEW_EXEC_PHASE = 5;
    
    public static final int PAUSING = 6;
    
    public static final int PAUSED = 7;

    public static final int RESUMING = 8;
    
    public static final int RESUMED = 9;
    
    public static final int IN_MIGRATION = 10;
    
    public static final int SUCCESS = 11;

    public static final int CANCELED = 12;

    public static final int FAILED = 13;
    

}